<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.GlobalDB ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Static">
    <Member Name="rTimeResult" Datatype="LReal" />
    <Member Name="rTimeMem" Datatype="LReal" />
    <Member Name="xBit" Datatype="Bool" />
    <Member Name="xFillStorage" Datatype="Bool" />
    <Member Name="xEmptyStorage" Datatype="Bool" />
    <Member Name="xFillJam" Datatype="Bool" />
    <Member Name="xEmptyJam" Datatype="Bool" />
    <Member Name="nBarcodeTest" Datatype="DInt" />
    <Member Name="nMod" Datatype="DInt" />
    <Member Name="nResult" Datatype="DInt" />
    <Member Name="xBit2" Datatype="Bool" />
    <Member Name="xBit3" Datatype="Bool" />
    <Member Name="xBit4" Datatype="Bool" />
    <Member Name="///////BARCODE SEARCH///////" Datatype="Bool" />
    <Member Name="stResult" Datatype="&quot;SearchResult&quot;" />
    <Member Name="stRetrieve" Datatype="Struct">
      <Member Name="nBarcode" Datatype="DInt" />
      <Member Name="nTarget" Datatype="USInt" />
    </Member>
    <Member Name="nSearchInStore" Datatype="Int" />
    <Member Name="xNewRetrieve" Datatype="Bool" />
    <Member Name="nMissingBarcode" Datatype="DInt" />
    <Member Name="xError" Datatype="Bool" />
    <Member Name="nStatus" Datatype="Int" />
    <Member Name="arTest" Datatype="Array[0..1] of &quot;stCarrier&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="////////CORRECTION////////" Datatype="Bool" />
    <Member Name="sString" Datatype="String[10]" />
    <Member Name="xActivate" Datatype="Bool" />
    <Member Name="stCarrExpect" Datatype="&quot;stCarrier&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="stCarrScan" Datatype="&quot;stCarrier&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xNotFound" Datatype="Bool" />
    <Member Name="arCorrectionInfo" Datatype="Array[0..1] of &quot;stEventCorrectionInfo&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xSetAllSelectedLoadedStorage" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Setzt alle Carrier in den gewünschten Bereichen auf Loaded, achte auf die Schleifen!!!</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <MemoryLayout>Optimized</MemoryLayout>
      <MemoryReserve>100</MemoryReserve>
      <Name>DB_Test</Name>
      <Namespace />
      <Number>40</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.GlobalDB>
</Document>